> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get insight

> Get a single insight for a project, including assigned member issues. Unauthorized or unknown projects return 404.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /insights/{insight_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /insights/{insight_id}:
    get:
      tags:
        - Insights
      summary: Get insight
      description: >-
        Get a single insight for a project, including assigned member issues.
        Unauthorized or unknown projects return 404.
      operationId: get_insight
      parameters:
        - name: insight_id
          in: path
          required: true
          description: Insight ID.
          schema:
            type: string
        - name: project_id
          in: query
          required: true
          description: Project ID.
          schema:
            type: string
      responses:
        '200':
          description: Insight
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  agent_name:
                    type: string
                  scope:
                    type: string
                    enum:
                      - prompt
                      - tool
                      - env
                      - code
                  identity:
                    type: string
                  title:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  member_count:
                    type: integer
                    minimum: 0
                  analysis:
                    type: string
                  members:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        project_id:
                          type: string
                        agent_name:
                          type:
                            - string
                            - 'null'
                        name:
                          type: string
                        category:
                          anyOf:
                            - type: string
                              enum:
                                - retry_loop
                                - integration_failure
                                - skipped_work
                                - misread_instruction
                                - out_of_scope_work
                                - instruction_violation
                                - hallucination
                                - communication
                            - type: string
                              const: unknown
                        subsystem:
                          type:
                            - string
                            - 'null'
                        failure_class:
                          type:
                            - string
                            - 'null'
                        canonical_mechanism:
                          type:
                            - string
                            - 'null'
                        status:
                          type: string
                          enum:
                            - open
                            - in_progress
                            - resolved
                            - dismissed
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        updated_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - project_id
                        - agent_name
                        - name
                        - category
                        - subsystem
                        - failure_class
                        - canonical_mechanism
                        - status
                        - created_at
                        - updated_at
                      additionalProperties: false
                required:
                  - id
                  - project_id
                  - agent_name
                  - scope
                  - identity
                  - title
                  - created_at
                  - updated_at
                  - member_count
                  - analysis
                  - members
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````